GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
ui_out_emit_table Class Reference

`#include "ui-out.h"`

## Public Member Functions
| ui_out_emit_table (struct ui_out *uiout, int nr_cols, int nr_rows, const char *tblid)
| ~ui_out_emit_table ()
| ui_out_emit_table (const ui_out_emit_table &)=delete
ui_out_emit_table & | operator= (const ui_out_emit_table &)=delete

## Private Attributes
struct ui_out * | m_uiout

## Detailed Description

Definition at line 219 of file ui-out.h.

## Constructor & Destructor Documentation

## ◆ ui_out_emit_table() [1/2]

ui_out_emit_table::ui_out_emit_table | ( | struct ui_out * | uiout,
|  | int | nr_cols,
|  | int | nr_rows,
|  | const char * | tblid
| ) |  |
| inline

Definition at line 223 of file ui-out.h.

References m_uiout, and ui_out::table_begin().

## ◆ ~ui_out_emit_table()

ui_out_emit_table::~ui_out_emit_table | ( |  | ) |
| inline

Definition at line 230 of file ui-out.h.

References m_uiout, and ui_out::table_end().

## ◆ ui_out_emit_table() [2/2]

ui_out_emit_table::ui_out_emit_table | ( | const ui_out_emit_table & |  | ) |
| delete

## Member Function Documentation

## ◆ operator=()

ui_out_emit_table& ui_out_emit_table::operator= | ( | const ui_out_emit_table & |  | ) |
| delete

## Member Data Documentation

## ◆ m_uiout

struct ui_out* ui_out_emit_table::m_uiout
| private

Definition at line 240 of file ui-out.h.

Referenced by ui_out_emit_table(), and ~ui_out_emit_table().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/ui-out.h